org.springframework.batch.item.file.mapping

## Class DefaultLineMapper<T>

- java.lang.Object
- - org.springframework.batch.item.file.mapping.DefaultLineMapper<T>

- Type Parameters:
    `T` - type of the item
  All Implemented Interfaces:
    LineMapper<T>, org.springframework.beans.factory.InitializingBean

      public class DefaultLineMapper<T>
      extends java.lang.Object
      implements LineMapper<T>, org.springframework.beans.factory.InitializingBean

  Two-phase `LineMapper` implementation consisting of tokenization of the line into `FieldSet` followed by mapping to item. If finer grained control of exceptions is needed, the `LineMapper` interface should be implemented directly.
  Author:
    Robert Kasanicky, Lucas Ward

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLineMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterPropertiesSet()`
    `T` | `mapLine(java.lang.String line, int lineNumber)` Implementations must implement this method to map the provided line to the parameter type T.
    `void` | `setFieldSetMapper(FieldSetMapper<T> fieldSetMapper)`
    `void` | `setLineTokenizer(LineTokenizer tokenizer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLineMapper

          public DefaultLineMapper()

  - ### Method Detail

    - #### mapLine

          public T mapLine(java.lang.String line,
                           int lineNumber)
                    throws java.lang.Exception

      Description copied from interface: `LineMapper`
      Implementations must implement this method to map the provided line to the parameter type T. The line number represents the number of lines into a file the current line resides.
      Specified by:
        `mapLine` in interface `LineMapper<T>`
      Parameters:
        `line` - to be mapped
        `lineNumber` - of the current line
      Returns:
        mapped object of type T
      Throws:
        `java.lang.Exception` - if error occurred while parsing.

    - #### setLineTokenizer

          public void setLineTokenizer(LineTokenizer tokenizer)

    - #### setFieldSetMapper

          public void setFieldSetMapper(FieldSetMapper<T> fieldSetMapper)

    - #### afterPropertiesSet

          public void afterPropertiesSet()

      Specified by:
        `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`